## plinth 0.4.4

=== Makefile ===
DOCDIR=../dist/doc

PANDOC=pandoc
PDFLATEX=pdflatex


# List text files in the order in which you want them to appear in the
# complete manual:
SOURCES=README.mdwn INSTALL.mdwn themes.mdwn hacking.mdwn TODO.mdwn modules.mdwn scripts.mdwn faq.mdwn COPYING.mdwn colophon.mdwn
OTHER=
PYTHON_SOURCES:=$(shell find .. -name \*.py)
TODO_SOURCES=$(patsubst TODO.mdwn,,$(SOURCES)) $(PYTHON_SOURCES)
MAN_SOURCES=$(patsubst COPYING.mdwn,copyright_notice00,$(SOURCES))

NEWLINE_SOURCES=$(patsubst %,% oneline.txt,$(SOURCES))
NEWLINE_MAN_SOURCES=$(patsubst %,% oneline.txt,$(MAN_SOURCES))

HTML=plinth.html $(patsubst %.mdwn,%.html,$(SOURCES))
HTML_PART=$(patsubst %.html,%.part.html,$(HTML))
LATEX=plinth.tex $(patsubst %.mdwn,%.tex,$(SOURCES))
PDF=plinth.pdf $(patsubst %.mdwn,%.pdf,$(SOURCES))
MAN=plinth.1

## If you want PDF or Latex files, do them separately.  They're not made by default.

OUTPUTS=$(HTML) $(MAN) $(HTML_PART)
DIST_OUTPUT=$(patsubst %,$(DOCDIR)/%,$(OUTPUTS))

# Yes, do it twice. TODO created during the process requires a second run
default:
	make all
all: oneline.txt $(OUTPUTS) Makefile

$(DOCDIR)/%: %
	cp $< $@
dist: $(DIST_OUTPUT)
###############################################################################
oneline.txt: Makefile
	perl -e 'print "\n"' > oneline.txt

$(SOURCES):
	@rm -f $@
	if [ -f ../$(patsubst %.mdwn,%.md,$@) ]; then \
		ln -s ../$(patsubst %.mdwn,%.md,$@) $@; \
	else \
		ln -s ../$(patsubst %.mdwn,%,$@) $@; \
	fi

../TODO : $(TODO_SOURCES) Makefile
	grep -ro --exclude=.git* --exclude=plinth.1 --exclude=*.tex --exclude=*.html \
	     --exclude=README.mdwn --exclude=INSTALL.mdwn --exclude-dir=build \
	     --exclude=TODO.mdwn --exclude=COPYING.mdwn --exclude-dir=debian \
	     "TODO\:.*" ../* 2>/dev/null | \
	     sed -e "s/TODO\://g" | \
	     sed -e "s/^..\//* /g" | \
	     sed -e 's/"""$$//g' | \
	     sed -e 's/<\/p>$$//g' \
	     > ../TODO
###############################################################################
##
## MAN PAGES
##
$(MAN): $(SOURCES) ../TODO
	@csplit -s -f copyright_notice COPYING.mdwn '/##/'
	cat $(NEWLINE_MAN_SOURCES) | perl -pe 'BEGIN { $$/=undef } $$_ =~ s/\n\n#\s.*/\n/gm; $$_ =~ s/\n\n#/\n\n/gm; $$_ =~ s/(\n\n#\s.*)/uc($$1)/gme' > .make_man
	$(PANDOC) -s -t man -o $@ .make_man
	@rm -f copyright_notice0? .make_man
manpages: $(MAN)
###############################################################################
##
## LaTeX
##
%.tex: %.mdwn
	$(PANDOC) -s --toc -f markdown --standalone -o $@ $<

hacking.tex: hacking.mdwn ../TODO
	$(PANDOC) -s --toc -f markdown -o $@ hacking.mdwn ../TODO

plinth.tex: $(NEWLINE_SOURCES) ../TODO
	$(PANDOC) -s --toc -f markdown -o $@ $(NEWLINE_SOURCES)

latex: $(LATEX)
###############################################################################
##
## HTML
##


# This gets us the html sections complete with TOC, but without the
# HTML and head section boilerplate.  /help/page uses the parts.
%.part.html: %.html
	csplit -s -f $@ $< '%.*<body>%'
	sed '1d' $@00 > $@01
	csplit -s -f $@ $@01 '/<\/body>/'
	mv $@00 $@
	rm $@01
%.html: %.mdwn Makefile
	$(PANDOC) -s --toc -f markdown -o $@ $<

hacking.html: hacking.mdwn ../TODO Makefile
	$(PANDOC) -s --toc -o $@ -f markdown hacking.mdwn ../TODO

#plinth.html: $(NEWLINE_SOURCES) ../TODO style.css Makefile
#	$(PANDOC) -s --toc -c style.css -o $@ -f markdown $(NEWLINE_SOURCES)

plinth.html: $(NEWLINE_SOURCES) ../TODO Makefile
	@csplit -s -f copyright_notice COPYING.mdwn '/##/'
	$(PANDOC) -s --toc -o $@ -f markdown $(NEWLINE_MAN_SOURCES)
	@rm -f copyright_notice0? .make_man

html: $(HTML) $(HTML_PART)
###############################################################################
%.pdf: %.tex
	$(PDFLATEX) -interaction=batchmode $< >/dev/null
	$(PDFLATEX) -interaction=batchmode $< >/dev/null  # yes, do it twice so the toc works

pdf: $(PDF)
###############################################################################

clean-latex:
	rm -f *.log *.out *.aux *.toc *.tex

clean: clean-latex
	rm -f $(OUTPUTS) README.mdwn INSTALL.mdwn TODO.mdwn COPYING.mdwn \
	     copyright_notice0? \#*\# ../TODO oneline.txt *.pdf

## plinth 0.3.2.0.git.20140829

=== debian/changelog ===
plinth (0.3.2.0.git.20140829-1) unstable; urgency=high

  * Updated to new git version from Nick Daly based on commit
    250b0100aab236fcf9dfa65eccf656fe037f9422.
    - Fixes broken web pages (Closes: #754117).
  * Updated patch program-paths.diff to include actions_dir setting,
    and drop now obsolete patch actions-path.diff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Aug 2014 08:26:06 +0200

plinth (0.3.2.0.git.20140621-1) unstable; urgency=medium

  * Updated to new git version from Nick Daly based on commit
    af08066cafefb5d10304b7d8b22ed1f18c4df6d0.
    - Drop now obsolete patch drop-firewalld-services.diff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 Jun 2014 20:39:30 +0200

plinth (0.3.2.0.git.20140614-3) unstable; urgency=medium

  * Add libjs-twitter-bootstrap as binary dependency in addition to
    being a build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jun 2014 23:38:57 +0200

plinth (0.3.2.0.git.20140614-2) unstable; urgency=low

  * Update dependencies, drop python-cheetah and python-simplejson,
    which are no longer used, and add python-bootstrapform needed to
    show the first page.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Jun 2014 08:51:34 +0200

plinth (0.3.2.0.git.20140614-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    a01ef055beab017fcd77ca9da7cab6fe01eeffbe.
  * Add build-depend on libjs-twitter-bootstrap, now needed to
    build documentation.
  * Add new patch drop-firewalld-services.diff to remove firewalld
    service definitions now available in firewalld version 0.3.10-1
    (Closes: #750927).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Jun 2014 00:30:42 +0200

plinth (0.3.2.0.git.20140504-2) unstable; urgency=low

  * Drop python-contract dependency.  It is not used any more.
  * Add python-django as binary dependency on request from Nick Daly.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 May 2014 13:27:27 +0200

plinth (0.3.2.0.git.20140504-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    d7a323512073cea9e4ee5a1cd91870a9f04959a6.
    - Move firewall setup from freedombox-setup to plinth.
  * Add Sunil and Nick as uploaders.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 May 2014 09:53:25 +0200

plinth (0.3.1.git.20140327-1) unstable; urgency=low

  * New upstream version 0.3.1.git.20140327.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Mar 2014 10:29:36 +0100

plinth (0.3.1.git.20140304-1) unstable; urgency=low

  * Add sudo as a run time dependency, to make sure the privileged
    commands work.
  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Create plinth user with /var/lib/plinth as home directory, to keep
    lintian happy.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 08 Mar 2014 22:25:32 +0100

plinth (0.3.0.0.git.20131229-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    cb9ca1b86c7b7440e87b6d5b65ab6ccf51f760cf .
    - Remove patch correct-issue-tracker.diff now included upstream.
    - Updated patches actions-path.diff and program-paths.diff to match
      changes done upstream.
  * Updated copyright file with more details using the new upstream
    LICENSES file.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Dec 2013 16:06:53 +0100

plinth (0.3.0.0.git.20131117-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    7f3b1a62c81f760da465497030b68d77139406d7.
    - Add new dependencies libjs-jquery and libjs-modernizr to plinth.
      Patch from James Valleroy.
    - Add new dependencies on python-passlib (>= 1.6.1) and python-bcrypt.
  * Remove now obsolete disable-override-config patch
  * Updated program-paths.diff patch to match new upstream source.
  * Add new patch actions-path.diff to use correct path to actions scripts.
  * Add new patch correct-issue-tracker.diff to use correct URL to current
    upstream github repository.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2013 13:07:21 +0100

plinth (0.3.0.0.git.20131101-2) unstable; urgency=low

  * Rewrite config to get plinth starting out of the box.  New patches
    program-paths and disable-override-config.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Nov 2013 07:54:37 +0100

plinth (0.3.0.0.git.20131101-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    b9b4e0a2ec21edc1b1f73cffc905463a96c18f25.
  * Drop patch install-actions-lib made obsolete by latest upstream
    changes.
  * Depend on pandoc-data | pandoc (<= 1.11.1-3) to make sure
    documentation can be built with the latest pandoc package in
    unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Nov 2013 13:14:41 +0100

plinth (0.3.0.0.git.20131028-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on commit
    0296a1a99cb1ad0a21729ea37fd53e171ee60614.
    - Drops local copies of javascript libraries also available from
      Debian packages.
  * Add new dependency python-contract needed by new upstream version.
  * Reduce the versioned python-withsqlite dependency from
    0.0.0~git.20130929-1 to 0.0.0~git.20130929, to also accept the
    0.0.0~git.20130929-1~pere.0 version currently available from the
    non-debian repo.
  * New patch install-actions-lib to fix install target (Upstream
    issue #41).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Oct 2013 22:25:25 +0100

plinth (0.3.0.0.git.20131010-1) unstable; urgency=low

  * Updated to new git version from Nick Daly based on
    commit 5ec749af8e5cb2480556e6926e239972ac890b4c
  * Dropped patch debpathes now merged upstream.
  * Changed depend on python-withsqlite to (>= 0.0.0~git.20130929-1),
    making sure a version with support for more than one table in
    one sqlite file is available.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Oct 2013 22:51:34 +0200



=== debian/control ===
Source: plinth
Section: python
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Piotr Ożarowski <piotr@debian.org>
 , Bdale Garbee <bdale@gag.com>
 , Petter Reinholdtsen <pere@debian.org>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Nick Daly <Nick.M.Daly@gmail.com>
Build-Depends: debhelper (>= 9), python-all, pandoc, pandoc-data | pandoc (<= 1.11.1-3)
 , libjs-twitter-bootstrap
Standards-Version: 3.9.5
Homepage: https://github.com/NickDaly/Plinth/
Vcs-Git: git://anonscm.debian.org/freedombox/plinth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary

Package: plinth
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
 , adduser
 , libjs-jquery
 , libjs-modernizr
 , libjs-twitter-bootstrap
 , python-bcrypt
 , python-bootstrapform
 , python-cherrypy3
 , python-passlib (>= 1.6.1)
 , python-withsqlite (>= 0.0.0~git.20130929)
 , python-django
 , sudo
Description: web front end for administering every aspect of a Freedom Box
 The Freedom Box is a net appliance conceived by Eben Moglen.  It
 contains free software and is designed to allow you to interface with
 the rest of the net under conditions of protected privacy and data
 security.
 .
 The Plinth front end is a web interface to administer the functions of
 the Freedom Box.  For example, the Freedom Box is a wireless router,
 and the front end is where you can adjust its settings.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

DATADIR=$(CURDIR)/debian/plinth/usr/share/plinth
override_dh_auto_install:
	dh_auto_install
	find $(DATADIR) -name \*.png -o -name \*.svg | xargs chmod -x

override_dh_installinit:
	dh_installinit --onlyscripts

new-upstream:
	date=$$(date +%Y%m%d); \
	tgz=../plinth_0.3.2.0.git.$$date.orig.tar.gz; \
	wget -O $$tgz https://github.com/NickDaly/Plinth/archive/master.tar.gz; \
	git fetch https://github.com/NickDaly/Plinth.git ; \
	vcstag=250b0100aab236fcf9dfa65eccf656fe037f9422 ; \
	echo git-import-orig --pristine-tar --upstream-vcs-tag=$$vcstag $$tgz

## plinth 0.4.4

=== debian/changelog ===
plinth (0.4.4-1) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * New upstream version 0.4.4.  Closes: #769328, #755619, #765916,
    #768666, #737456, #741919.
  * Update dependencies as per upstream changes.
  * Require Django 1.7 reflecting upstream changes.
  * Remove patches that have been upstreamed.
  * Update standards version to 3.9.6.
  * Properly remove obsolete module configuration.
  * Remove upstream install documentation.

 -- Bdale Garbee <bdale@gag.com>  Tue, 13 Jan 2015 22:25:07 +1300

plinth (0.4.1-1) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * New upstream version 0.4.1.
  * Remove install override which is no longer required. Upstream
    does not contain images with executable permissions anymore.
  * Remove patch for changing paths which is no longer necessary.
  * Change upstream URLs to point to github.com/freedombox.
  * Update license information. Remove information about files no
    longer present in upstream.
  * Remove link to configuration file no longer necessary due to
    upstream changes.
  * Remove debian/clean no longer necessary.
  * Build package as Python 3 package. Upstream migrated to Python 3.
  * Fix issue with cleaning the package after build.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Nov 2014 17:20:26 +0000

=== debian/control ===
Source: plinth
Section: python
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Piotr Ożarowski <piotr@debian.org>
 , Bdale Garbee <bdale@gag.com>
 , Petter Reinholdtsen <pere@debian.org>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Nick Daly <Nick.M.Daly@gmail.com>
Build-Depends: debhelper (>= 9)
 , dh-python
 , libjs-bootstrap
 , pandoc
 , pandoc-data | pandoc (<= 1.11.1-3)
 , python3-all
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-coverage
 , python3-django (>= 1.7)
 , python3-gi
 , python3-setuptools
 , python3-setuptools-git
Standards-Version: 3.9.6
Homepage: https://github.com/freedombox/Plinth/
Vcs-Git: git://anonscm.debian.org/freedombox/plinth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary

Package: plinth
Architecture: all
Depends: ${python3:Depends}
 , ${misc:Depends}
 , adduser
 , gir1.2-packagekitglib-1.0
 , libjs-bootstrap
 , libjs-jquery
 , libjs-modernizr
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-django (>= 1.7)
 , python3-gi
 , sudo
Description: web front end for administering every aspect of a Freedom Box
 The Freedom Box is a net appliance conceived by Eben Moglen.  It
 contains free software and is designed to allow you to interface with
 the rest of the net under conditions of protected privacy and data
 security.
 .
 The Plinth front end is a web interface to administer the functions of
 the Freedom Box.  For example, the Freedom Box is a wireless router,
 and the front end is where you can adjust its settings.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=plinth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installinit:
	dh_installinit --onlyscripts

new-upstream:
	date=$$(date +%Y%m%d); \
	tgz=../plinth_0.4.4.orig.tar.gz; \
	wget -O $$tgz https://github.com/freedombox/Plinth/archive/v0.4.4.tar.gz; \
	git fetch https://github.com/freedombox/Plinth.git ; \
	vcstag=v0.4.4 ; \
	echo git-import-orig --pristine-tar --upstream-vcs-tag=$$vcstag $$tgz

## plinth 0.8.1

=== requirements.txt ===
cherrypy >= 3.0
coverage >= 3.7
django >= 1.7.0
django-stronghold
psutil
python-augeas
pyyaml

=== doc/Makefile ===
#!/usr/bin/make -f
#
# This file is part of Plinth.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

MANUAL_URL="https://wiki.debian.org/FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"

OUTPUTS=freedombox-manual.pdf freedombox-manual.html freedombox-manual.part.html plinth.1


all: $(OUTPUTS)

# Do not edit the manual page in this directory.  The manual is
# maintained as separate pages on the FreedomBox wiki and aggregated
# into a single page using the MoinMoin include feature.  Then it is
# exported as Docbook format and kept here.
#
# It is important to keep a copy of the manual in this source tree
# because Debian packages promise an entire source tree including the
# documentation.
#
# Use 'make fetch' to retrieve the latest manual from the wiki and
# commit it to the repository.  The wiki page is already reviewed, so
# commits that update the manual just using the 'fetch' target do not
# require further reviews.
.PHONY: fetch
fetch:
	wget --quiet -O - $(MANUAL_URL) | \
	  xmllint --format --output freedombox-manual.raw.xml -
	xsltproc --output freedombox-manual.xml fixes.xslt freedombox-manual.raw.xml
	xsltproc fetch-images.xslt freedombox-manual.raw.xml | sort -u | \
	  awk '{print "wget --quiet -O images/" $$1 " " $$2}' | sh
	rm -f freedombox-manual.raw.xml


%.pdf: %.xml
	xmlto --with-dblatex pdf $<


%.part.html: %.html
	perl -pe 'BEGIN {undef $/} s/.*<body[^>]*>(.*)<\/body>.*/$1/s' $< > $@


%.html: %.xml
	docbook2html --nochunks $<


%.1: %.xml
	xmlto man $<


.PHONY: clean
clean:
	rm -f $(OUTPUTS)

=== debian/changelog ===
plinth (0.8.1-1) unstable; urgency=low

  [ James Valleroy ]
  * Skip filter-pristine-tar step for new upstream.
  * New upstream version 0.8.1.
  * Add docbook-utils as build dependency.
  * Add packagekit as dependency.

 -- Federico Ceratto <federico@debian.org>  Tue, 16 Feb 2016 18:38:53 +0000

plinth (0.7.2-1) unstable; urgency=low

  [ James Valleroy ]
  * New upstream version 0.7.2.
  * Remove patch to enable javascript-common, fixed upstream.

 -- Federico Ceratto <federico@debian.org>  Fri, 25 Dec 2015 13:47:03 +0000

plinth (0.7.1-1) unstable; urgency=low

  [ James Valleroy ]
  * New upstream version 0.7.1.
  * Remove patch to fix config test, fixed upstream.
  * Refresh patch.
  * Add gettext as build dependency.
  * Disable restore module, node-restore package not available in Debian yet.

  [ Sunil Mohan Adapa ]
  * Remove Django HTMLParser workaround as it is no longer need.
  * Add javascript-common as dependency as we are enabling it during setup.

  * Update package description (Closes: #804753)

 -- Federico Ceratto <federico@debian.org>  Sat, 12 Dec 2015 15:12:48 +0000

plinth (0.6-1) unstable; urgency=low

  [ Nick Daly ]
  * Uploaded new version.

  [ James Valleroy ]
  * New upstream version 0.6.
  * Drop obsolete documentation patch.
  * Add dblatex and xmlto as build dependencies, for manual. Drop pandoc.
  * Add network-manager, ppp, pppoe, and python3-psutil as dependencies.
  * Remove old TODO from docs.
  * Add patch to workaround django 1.7 issue with python 3.5.
  * Add patch to fix failing plinth config test.
  * Add gir1.2-networkmanager-1.0 and python3-psutil also as build-depends.
  * Cleanup installation documenation.

 -- Nick Daly <Nick.M.Daly@gmail.com>  Fri, 16 Oct 2015 22:57:10 -0500

plinth (0.5-1) unstable; urgency=low

  [ Nick Daly ]
  * Package new upstream version 0.5.

  [ James Valleroy ]
  * Add augeas-tools, gir1.2-glib-2.0, gir1.2-networkmanager-1.0, ldapscripts,
    python3-augeas, and python3-django-stronghold as dependencies.
  * Disable "packages" module when upgrading.
  * Remove patches for python-networkmanager (obsolete) and ikiwiki
    (upstreamed).
  * Add patch to skip privileged actions test while building.
  * Add some build-depends needed for tests.

  [ James Valleroy ]
  * New upstream version 0.4.5.
  * Remove patch that has been upstreamed.
  * Add new patch to remove python-networkmanager dependency, because
    python3-networkmanager package is not available in Debian yet. The networks
    module is disabled for now.
  * Enable systemd service file.
  * Add new patch to enable javascript-common apache conf in plinth setup.
  * Add new patch to require ikiwiki module to install some of ikiwiki's
    recommends that are needed for compiling wikis.

  [ Sunil Mohan Adapa ]
  * Add python3-yaml as dependency.
  * Add lintian override for extra apache configuration.
  * Update Debian copyright file.

 -- Nick Daly <Nick.M.Daly@gmail.com>  Sun, 02 Aug 2015 17:14:50 -0500

=== debian/control ===
Source: plinth
Section: python
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Piotr Ożarowski <piotr@debian.org>
 , Bdale Garbee <bdale@gag.com>
 , Petter Reinholdtsen <pere@debian.org>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Nick Daly <Nick.M.Daly@gmail.com>
 , Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 9)
 , dblatex
 , dh-python
 , dh-systemd
 , docbook-utils
 , gir1.2-networkmanager-1.0
 , gir1.2-packagekitglib-1.0
 , libjs-bootstrap
 , python3-all
 , python3-augeas
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-coverage
 , python3-django (>= 1.7)
 , python3-django-stronghold
 , python3-gi
 , python3-psutil
 , python3-setuptools
 , python3-setuptools-git
 , python3-yaml
 , xmlto
Standards-Version: 3.9.6
Homepage: https://github.com/freedombox/Plinth/
Vcs-Git: https://anonscm.debian.org/git/freedombox/plinth.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary

Package: plinth
Architecture: all
Depends: ${python3:Depends}
 , ${misc:Depends}
 , adduser
 , augeas-tools
 , gettext
 , gir1.2-glib-2.0
 , gir1.2-networkmanager-1.0
 , gir1.2-packagekitglib-1.0
 , javascript-common
 , ldapscripts
 , libjs-bootstrap
 , libjs-jquery
 , libjs-modernizr
 , network-manager
 , packagekit
 , ppp
 , pppoe
 , python3-augeas
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-django (>= 1.7)
 , python3-django-stronghold
 , python3-gi
 , python3-psutil
 , python3-yaml
 , sudo
Description: web front end for administering every aspect of a FreedomBox
 The FreedomBox is a net appliance conceived by Eben Moglen.  It
 contains free software and is designed to allow you to interface with
 the rest of the net under conditions of protected privacy and data
 security.
 .
 The Plinth front end is a web interface to administer the functions of
 the FreedomBox.  For example, the FreedomBox is a wireless router,
 and the front end is where you can adjust its settings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=plinth

%:
	dh $@ --with python3 --with systemd --buildsystem=pybuild

override_dh_installinit:
	dh_installinit --onlyscripts

new-upstream:
	gbp import-orig --uscan --verbose --pristine-tar --no-filter-pristine-tar

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plinth-$1\.tar\.gz/ \
  https://github.com/freedombox/Plinth/tags .*/v?(\d\S*)\.tar\.gz

## plinth 0.9.2

=== debian/changelog ===
plinth (0.9.2-1) unstable; urgency=medium

  [ James Valleroy ]
  * New upstream version 0.9.2.

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the user of pristine-tar.
  * Adjusted d/copyright to make sure license names are unique.  Thanks lintian.
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 07:16:08 +0000

plinth (0.9.1-1) unstable; urgency=low

  [ James Valleroy ]
  * New upstream version 0.9.1.
  * Add python3-requests as dependency and build-dep.

 -- Federico Ceratto <federico@debian.org>  Sat, 02 Apr 2016 16:53:42 +0100

plinth (0.8.2-1) unstable; urgency=low

  [ James Valleroy ]
  * New upstream version 0.8.2.

 -- Federico Ceratto <federico@debian.org>  Fri, 26 Feb 2016 19:51:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: plinth
 Section: python
 Priority: optional
-Maintainer: Tzafrir Cohen <tzafrir@debian.org>
+Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
 Uploaders:
- Piotr Ożarowski <piotr@debian.org>
+ Tzafrir Cohen <tzafrir@debian.org>
+ , Piotr Ożarowski <piotr@debian.org>
  , Bdale Garbee <bdale@gag.com>
  , Petter Reinholdtsen <pere@debian.org>
  , Sunil Mohan Adapa <sunil@medhas.org>
@@ -26,11 +27,12 @@
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
+ , python3-requests
  , python3-setuptools
  , python3-setuptools-git
  , python3-yaml
  , xmlto
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/freedombox/Plinth/
 Vcs-Git: https://anonscm.debian.org/git/freedombox/plinth.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary
@@ -61,6 +63,7 @@
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
+ , python3-requests
  , python3-yaml
  , sudo
 Description: web front end for administering every aspect of a FreedomBox

## plinth 0.13.1+ds

=== requirements.txt ===
cherrypy >= 3.0
coverage >= 3.7
django >= 1.10.0
django-stronghold
psutil
python-apt
python-augeas
ruamel.yaml

=== doc/Makefile ===
--- 
+++ 
@@ -20,6 +20,17 @@
 
 OUTPUTS=freedombox-manual.pdf freedombox-manual.html freedombox-manual.part.html plinth.1
 
+# In order to debug various problems with the documents especially
+# intermediate LaTeX state, run make as follows:
+#
+#   $ make DEBUG=true
+#   or
+#   $ make DEBUG=true <target>
+#
+XMLTO_DEBUG_FLAGS=
+ifneq ($(DEBUG),)
+    XMLTO_DEBUG_FLAGS=--noclean -p '--debug'
+endif
 
 all: $(OUTPUTS)
 
@@ -47,7 +58,7 @@
 
 
 %.pdf: %.xml
-	xmlto --with-dblatex pdf $<
+	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf $<
 
 
 %.part.html: %.html

=== debian/changelog ===
plinth (0.13.1+ds-1) unstable; urgency=medium

  [ James Valleroy ]
  * Disable shaarli module, package removed from Debian.
  * New upstream version 0.13.1.
  * Update paths for jsxc symlinks.
  * Remove configuration for obsolete xmpp module.

 -- Federico Ceratto <federico@debian.org>  Sun, 22 Jan 2017 21:48:59 +0000

plinth (0.12.0+ds-1) unstable; urgency=medium

  [ James Valleroy ]
  * Exclude new symlink in upstream source.
  * New upstream version 0.12.0.
  * Remove patches that have been merged upstream.
  * Rearrange copyright file with more general license at the top.
  * Move plinth into web section.
  * Update symlinks for jsxc 3.0.0.

 -- Federico Ceratto <federico@debian.org>  Sat, 10 Dec 2016 18:42:29 +0100

plinth (0.11.0+ds-1) unstable; urgency=medium

  [ James Valleroy ]
  * New upstream version 0.11.0.
  * Replace python3-yaml dependency with python3-ruamel.yaml.
  * Add python3-apt dependency.
  * Add patch to fix permissions and use new setup command (Closes: #837206).
  * Add patch to include xmpp module static files in build.
  * Add links for jsxc static files. Workaround for #838183.
  * Remove symlinks from source package.

  [ Sunil Mohan Adapa ]
  * Automatically add essential packages to depends (Closes: #837332).

 -- Federico Ceratto <federico@debian.org>  Mon, 26 Sep 2016 14:52:36 +0100

plinth (0.10.0-1) unstable; urgency=medium

  [ James Valleroy ]
  * New upstream version 0.10.0.
  * Bump minimum required python3-django to 1.10.

 -- Federico Ceratto <federico@debian.org>  Sun, 21 Aug 2016 13:07:54 +0100

plinth (0.9.4-2) unstable; urgency=medium

  [ James Valleroy ]
  * Add breaks/replaces on freedombox-setup << 0.9.2~ (Closes: #829743).

 -- Federico Ceratto <federico@debian.org>  Sat, 16 Jul 2016 14:55:37 +0100

plinth (0.9.4-1) unstable; urgency=medium

  [ James Valleroy ]
  * New upstream version 0.9.4.
  * Remove init script override. Init script was removed from upstream.
  * Drop packagekit dependency. No longer required by upstream.
  * Drop gir1.2-packagekitglib-1.0 depend and build-depend.

 -- Federico Ceratto <federico@debian.org>  Fri, 24 Jun 2016 22:02:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: plinth
-Section: python
+Section: web
 Priority: optional
 Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
 Uploaders:
@@ -16,21 +16,21 @@
  , dh-systemd
  , docbook-utils
  , gir1.2-networkmanager-1.0
- , gir1.2-packagekitglib-1.0
  , libjs-bootstrap
  , python3-all
+ , python3-apt
  , python3-augeas
  , python3-bootstrapform
  , python3-cherrypy3
  , python3-coverage
- , python3-django (>= 1.7)
+ , python3-django (>= 1.10)
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
  , python3-requests
+ , python3-ruamel.yaml
  , python3-setuptools
  , python3-setuptools-git
- , python3-yaml
  , xmlto
 Standards-Version: 3.9.8
 Homepage: https://github.com/freedombox/Plinth/
@@ -38,33 +38,35 @@
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary
 
 Package: plinth
+Breaks: freedombox-setup (<< 0.9.2~)
+Replaces: freedombox-setup (<< 0.9.2~)
 Architecture: all
 Depends: ${python3:Depends}
  , ${misc:Depends}
+ , ${plinth:Depends}
  , adduser
  , augeas-tools
  , gettext
  , gir1.2-glib-2.0
  , gir1.2-networkmanager-1.0
- , gir1.2-packagekitglib-1.0
  , javascript-common
  , ldapscripts
  , libjs-bootstrap
  , libjs-jquery
  , libjs-modernizr
  , network-manager
- , packagekit
  , ppp
  , pppoe
+ , python3-apt
  , python3-augeas
  , python3-bootstrapform
  , python3-cherrypy3
- , python3-django (>= 1.7)
+ , python3-django (>= 1.10)
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
  , python3-requests
- , python3-yaml
+ , python3-ruamel.yaml
  , sudo
 Description: web front end for administering every aspect of a FreedomBox
  The FreedomBox is a net appliance conceived by Eben Moglen.  It

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=plinth

%:
	dh $@ --with python3 --with systemd --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --list-dependencies 2> /dev/null | tr '\n' ', ' | \
		sed -e 's/^/plinth:Depends=/' >> debian/plinth.substvars

new-upstream:
	gbp import-orig --uscan --verbose --pristine-tar --no-filter-pristine-tar

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plinth-$1\.tar\.gz/,\
dversionmangle=s/\+ds$//,repacksuffix=+ds \
  https://github.com/freedombox/Plinth/tags .*/v?(\d\S*)\.tar\.gz

## plinth 0.14.0+ds

=== debian/changelog ===
plinth (0.14.0+ds-1) unstable; urgency=medium

  [ James Valleroy ]
  * New upstream version 0.14.0.
  * Refresh patches.

 -- Sunil Mohan Adapa <sunil@medhas.org>  Thu, 20 Apr 2017 19:48:03 +0530

## plinth 0.24.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# This file is part of Plinth.
+# This file is part of FreedomBox.
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== debian/changelog ===
plinth (0.24.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * Add file-sharing application Coquelicot to FreedomBox
  * Translated using Weblate (Telugu)
  * mediawiki: Allow shortcut to be publicly visible on front page
  * clients: Add and correct Client Apps
  * api: fix icon_url
  * searx: New app for Searx metasearch engine

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * Rename Plinth to FreedomBox in various places
  * debian: Update copyright to FreedomBox Authors
  * setup.py: Update website to freedombox.org
  * Add locale for Hungarian (hu)
  * locale: Update the language selection form
  * config: Remove language selection from config page
  * Don't use async for method parameters
  * searx: Increase the secret key length to 64 bytes

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Sai Kiran Naragam ]
  * locale: Anonymous users can set preferred language
  * locale: Adds preferred language for logged in user

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Johannes Keyser ]
  * Translated using Weblate (German)
  * matrixsynapse: Fix mail attribute for ldap login

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Feb 2018 18:22:23 +0100

plinth (0.23.0) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Fetch latest manual from wiki
  * Translated using Weblate (Telugu)
  * snapshot: Enable Delete All only with non-default snapshots

  [ Joseph Nuthalapati ]
  * jsxc: consistent url format
  * Translated using Weblate (Telugu)
  * sso: Increase timeout to 60 minutes
  * YAPF formatting for actions/auth_pubtkt
  * transmission: Add .png logo
  * snapshot: Delete All should skip currently active snapshot
  * config: Move the method get_hostname to __init__.py
  * snapshots: Refactoring and text changes
  * snapshots: Increment version to 2

  [ drashti kaushik ]
  * Translated using Weblate (Gujarati)

  [ uday17 ]
  * Translated using Weblate (Telugu)

  [ Sandeepbasva ]
  * Translated using Weblate (Telugu)

  [ kotibannu541 ]
  * Translated using Weblate (Telugu)

  [ Arshadashu ]
  * Translated using Weblate (Telugu)

  [ Nikhil Sankesa ]
  * Translated using Weblate (Telugu)

  [ sandeepgurram ]
  * Translated using Weblate (Telugu)

  [ prudhvi ]
  * Translated using Weblate (Telugu)

  [ chilumula vamshi krishna ]
  * Translated using Weblate (Telugu)

  [ pranava pari ]
  * Translated using Weblate (Telugu)

  [ Nikhil501 ]
  * Translated using Weblate (Telugu)

  [ Michal Čihař ]
  * Translated using Weblate (Telugu)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ anil kukmar soma ]
  * Translated using Weblate (Telugu)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Vikas Singh ]
  * Font: Change Helvetica to Lato
  * theme: Update CSS to use Lato font

  [ Aakanksha Saini ]
  * Snapper: Modify configurations to reduce disk usage

  [ James Valleroy ]
  * Add fonts-lato as dependency
  * Update translation strings
  * Add lintian override for symlink to Lato font file

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Feb 2018 19:17:31 -0500

plinth (0.22.0) unstable; urgency=medium

  [ Drashti Kaushik ]
  * Translated using Weblate (Gujarati)
  * Translated using Weblate (Hindi)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Ikmaak ]
  * Translated using Weblate (Dutch)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)
  * ci: Replace CircleCI configuration with GitLab CI configuration
  * firstboot: Fix caching issue in collecting first_boot steps
  * HACKING: Commands to run a single test method, class or module
  * first_setup: UX improvements for the first setup page
  * matrix-synapse: Fix YAML format issues.

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * Add locale for Ukrainian (uk)
  * ci: Update badge to use Gitlab CI instead of Circle CI
  * Update Github URLs with Salsa URLs
  * tor: Ensure that is-enabled status is show properly

  [ Vikas Singh ]
  * actions: Allow not printing error when an action fails

 -- Sunil Mohan Adapa <sunil@medhas.org>  Tue, 30 Jan 2018 14:41:25 +0530

plinth (0.21.0) unstable; urgency=medium

  [ Aakanksha Saini ]
  * navigation bar: change label 'Configuration' to 'System'
  * storage: Removed beta warning for expanding partition
  * groups: Consistent listing of groups
  * syncthing: Restrict administration to users in group syncthing

  [ Allan Nordhøy ]
  * Spelling: configuration, log in, wiki

  [ Johannes Keyser ]
  * doc: update HACKING, CONTRIBUTING and INSTALL information
  * help: Show menu on smaller screens also

  [ Joseph Nuthalapati ]
  * Complete some of the pending changing in renaming some files to .md

  [ Shubham Agarwal ]
  * diagnostics: Enable button when enabled but not running

  [ Sunil Mohan Adapa ]
  * openvpn: Upgrade to the new Debian way
  * Add explicit dependency on e2fsprogs (Closes: #887223).

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Jan 2018 15:07:03 -0500

plinth (0.20.0) unstable; urgency=high

  [ James Valleroy ]
  * bind: Rework getting and changing config
  * bind: Don't use forwarders by default

  [ Johannes Keyser ]
  * ejabberd: Remove redundant button Client Apps
  * ejabberd: Minor description cleanups

  [ Joseph Nuthalpati ]
  * mediawiki: Add wiki application

  [ Sunil Mohan Adapa ]
  * users: Make sure first run actually works
  * bind: Add information about current utility
  * storage: Make tests run on special filesystems

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jan 2018 15:04:02 -0500

plinth (0.19.0) unstable; urgency=medium

  [ James Valleroy ]
  * users: Use own copy of ldapscripts config
  * users: Handle upgrade for ldapscripts config
  * vagrant: Avoid debconf prompts while provisioning
  * Bump standards version, no changes needed



=== debian/control ===
--- 
+++ 
@@ -10,20 +10,24 @@
  , Sunil Mohan Adapa <sunil@medhas.org>
  , Nick Daly <Nick.M.Daly@gmail.com>
  , Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9)
+ , James Valleroy <jvalleroy@mailbox.org>
+Build-Depends: debhelper (>= 10~)
  , dblatex
  , dh-python
- , dh-systemd
  , docbook-utils
- , gir1.2-networkmanager-1.0
+ , e2fsprogs
+ , gir1.2-nm-1.0
  , libjs-bootstrap
  , python3-all
  , python3-apt
  , python3-augeas
  , python3-bootstrapform
  , python3-cherrypy3
+ , python3-configobj
  , python3-coverage
- , python3-django (>= 1.10)
+ , python3-django (>= 1.11)
+ , python3-django-axes (>= 3.0.3)
+ , python3-django-captcha
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
@@ -31,24 +35,27 @@
  , python3-ruamel.yaml
  , python3-setuptools
  , python3-setuptools-git
+ , python3-yaml
  , xmlto
-Standards-Version: 3.9.8
-Homepage: https://github.com/freedombox/Plinth/
-Vcs-Git: https://anonscm.debian.org/git/freedombox/plinth.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freedombox/plinth.git;a=summary
+Standards-Version: 4.1.2
+Homepage: https://salsa.debian.org/freedombox-team/plinth
+Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
+Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth
 
 Package: plinth
-Breaks: freedombox-setup (<< 0.9.2~)
-Replaces: freedombox-setup (<< 0.9.2~)
+Breaks: freedombox-setup (<< 0.11~)
+Replaces: freedombox-setup (<< 0.11~)
 Architecture: all
 Depends: ${python3:Depends}
  , ${misc:Depends}
  , ${plinth:Depends}
  , adduser
  , augeas-tools
+ , e2fsprogs
+ , fonts-lato
  , gettext
  , gir1.2-glib-2.0
- , gir1.2-networkmanager-1.0
+ , gir1.2-nm-1.0
  , javascript-common
  , ldapscripts
  , libjs-bootstrap
@@ -61,12 +68,16 @@
  , python3-augeas
  , python3-bootstrapform
  , python3-cherrypy3
- , python3-django (>= 1.10)
+ , python3-configobj
+ , python3-django (>= 1.11)
+ , python3-django-axes (>= 3.0.3)
+ , python3-django-captcha
  , python3-django-stronghold
  , python3-gi
  , python3-psutil
  , python3-requests
  , python3-ruamel.yaml
+ , python3-yaml
  , sudo
 Description: web front end for administering every aspect of a FreedomBox
  The FreedomBox is a net appliance conceived by Eben Moglen.  It

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=plinth

%:
	dh $@ --with python3 --with systemd --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --list-dependencies 2> /dev/null | sort | tr '\n' ', ' | \
		sed -e 's/^/plinth:Depends=/' >> debian/plinth.substvars

## plinth 0.25.0

=== doc/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 
 %.part.html: %.html
-	perl -pe 'BEGIN {undef $/} s/.*<body[^>]*>(.*)<\/body>.*/$1/s' $< > $@
+	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' $< > $@
 
 
 %.html: %.xml

=== debian/changelog ===
plinth (0.25.0) unstable; urgency=medium

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * coquelicot: Rename Plinth to FreedomBox in license headers
  * functional-tests: Merge plinth-tester into plinth
  * searx: Add basic functional tests
  * snapshots: Refactoring and indentation changes
  * Translated using Weblate (Telugu)
  * ttrss: update client apps
  * sharing: Update description
  * sharing: CSS styling fixes and text changes

  [ James Valleroy ]
  * infinoted: Always check ownership of cert files in setup

  [ Алексей Докучаев ]
  * Translated using Weblate (Russian)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Sunil Mohan Adapa ]
  * doc: Fix generation of HTML fragment
  * users: Generalize styling for multi-select widget
  * sharing: Finish implementation
  * sharing: Add functional tests
  * Support Django 2.0

  [ Shubham Agarwal ]
  * snapshots: Add submenu section in UI

  [ Prachi ]
  * sharing: Add app to share disk folders using various protocols

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Mar 2018 18:40:31 -0400

## plinth 0.26.0

=== doc/Makefile ===
--- 
+++ 
@@ -15,10 +15,9 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-
 MANUAL_URL="https://wiki.debian.org/FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"
 
-OUTPUTS=freedombox-manual.pdf freedombox-manual.html freedombox-manual.part.html plinth.1
+OUTPUTS=freedombox-manual.pdf plinth.1 manual-pages
 
 # In order to debug various problems with the documents especially
 # intermediate LaTeX state, run make as follows:
@@ -51,28 +50,39 @@
 fetch:
 	wget --quiet -O - $(MANUAL_URL) | \
 	  xmllint --format --output freedombox-manual.raw.xml -
-	xsltproc --output freedombox-manual.xml fixes.xslt freedombox-manual.raw.xml
 	xsltproc fetch-images.xslt freedombox-manual.raw.xml | sort -u | \
 	  awk '{print "wget --quiet -O images/" $$1 " " $$2}' | sh
-	rm -f freedombox-manual.raw.xml
+	./fetch-manual-pages
 
+.PHONY: manual-pages
+manual-pages-list:=$(shell cat manual-pages.list) freedombox-manual
+manual-pages-part-html:=$(patsubst %, %.part.html, $(manual-pages-list))
+manual-pages-html:=$(patsubst %, %.html, $(manual-pages-list))
+manual-pages-xml:=$(patsubst %, %.xml, $(manual-pages-list))
+
+manual-pages: $(manual-pages-part-html)
 
 %.pdf: %.xml
 	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf $<
 
-
 %.part.html: %.html
 	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' $< > $@
 
+freedombox-manual.xml: freedombox-manual.raw.xml fixes.xslt
+	xsltproc --output $@ fixes.xslt $<
+
+%.xml: %.raw.xml manual-page-fixes.xslt
+	xsltproc --output $@ manual-page-fixes.xslt $<
+	./post-processor remove-footer $@
+	./post-processor fix-wiki-urls $@
 
 %.html: %.xml
 	docbook2html --nochunks $<
 
-
 %.1: %.xml
 	xmlto man $<
 
-
 .PHONY: clean
 clean:
+	rm -f $(manual-pages-html) $(manual-pages-part-html) $(manual-pages-xml)
 	rm -f $(OUTPUTS)

=== debian/changelog ===
plinth (0.26.0) unstable; urgency=high

  [ 关羽 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ anonymous ]
  * Translated using Weblate (German)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * snapshots: Update description
  * searx: Rewrite url from /searx to /searx/
  * manual: Link to manual from each service
  * manual: Fix manual page links for tor and power templates

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Robert Martinez ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * Workaround security issues in django-axes
  * ssh, avahi, apache: Fix default value for setup arguments
  * ssh: Add comment about regenerating SSH keys
  * apache: Only regenerate snake oil cert when needed
  * apache: Explicitly enable the latest version of PHP module
  * apache: Increase module version number to fix php7.2

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * Update doc-base for current html manual file

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Mar 2018 20:18:57 -0400

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  , python3-django (>= 1.11)
  , python3-django-axes (>= 3.0.3)
  , python3-django-captcha
- , python3-django-stronghold
+ , python3-django-stronghold (>= 0.3.0)
  , python3-gi
  , python3-psutil
  , python3-requests
